<script src="Autocomplete.js"></script>
<template>
	<div :class="classes" class="mdc-autocomplete">
		<m-text-field
			v-if="!getId(selected)"
			v-model="searchText"
			ref="mTextField"
			outlined :id="id" v-bind="$attrs"
			class="mdc-text-field-outlined-shaped"
			:placeholder="placeholder"
			v-on:click="onFocus"
			v-on:blur="onBlur"
		>
			<slot v-if="!placeholder" name="label"  />
		</m-text-field>
		<m-text-field
			v-if="getId(selected)"
			v-model="selectedText"
			ref="mTextField"
			outlined v-bind="$attrs"
			class="mdc-text-field-outlined-shaped mdc-autocomplete__selected-text "
			:placeholder="placeholder"
			v-on:click="onFocus($event, true)"
			v-on:blur="onBlur"
		>
		</m-text-field>
		<m-menu-anchor ref="menuAnchor">
			<m-menu :style="menuCss" class="mdc-autocomplete-menu" ref="mMenu" :class="menuClasses" :quickOpen="true" hoistToBody wrapFocus defaultFocusState="NONE" >
				<m-list>
					<slot></slot>
					<template v-if="!url && filteredItems.length">
						<m-list-item :selected="isSelected(item)" :activated="isSelected(item)" v-for="item in filteredItems" :data-value="getId(item)" :key="getId(item)" v-on:click="onSelect($event, item)">{{getText(item) }}</m-list-item>
					</template>
					<template v-if="!filteredItems.length">
						<m-list-item>Empty</m-list-item>
					</template>
				</m-list>
			</m-menu>
		</m-menu-anchor>
	</div>
</template>
<script src="./Autocomplete.js"></script>
